summarylogtreecommitdiffstats
path: root/systemd.install
diff options
context:
space:
mode:
authorNicolas Iooss2015-05-06 20:29:18 +0800
committerNicolas Iooss2015-06-27 11:45:00 +0800
commit6324616d71d07cb709b94d881282bb122fc44070 (patch)
treee29feabf3095dd3763fedea62d7a5482792a4b71 /systemd.install
parent8090a768165b77f07e81eacd0c64d90614127bfc (diff)
downloadaur-6324616d71d07cb709b94d881282bb122fc44070.tar.gz
systemd-selinux 219-6 update
Diffstat (limited to 'systemd.install')
-rw-r--r--systemd.install24
1 files changed, 21 insertions, 3 deletions
diff --git a/systemd.install b/systemd.install
index 3e510c5361e9..b0a3e1fa4e4f 100644
--- a/systemd.install
+++ b/systemd.install
@@ -146,6 +146,18 @@ _216_2_changes() {
echo ' tuned in /etc/systemd/coredump.conf.'
}
+_219_2_changes() {
+ if mkdir -m2755 var/log/journal/remote 2>/dev/null; then
+ chgrp systemd-journal-remote var/log/journal/remote
+ fi
+}
+
+_219_4_changes() {
+ if ! systemctl is-enabled -q remote-fs.target; then
+ systemctl enable -q remote-fs.target
+ fi
+}
+
post_install() {
systemd-machine-id-setup
@@ -153,11 +165,15 @@ post_install() {
add_journal_acls
- # enable getty@tty1 by default, but don't track the file
- systemctl enable getty@tty1.service
+ # enable some services by default, but don't track them
+ systemctl enable getty@tty1.service remote-fs.target
echo ":: Append 'init=/usr/lib/systemd/systemd' to your kernel command line in your"
echo " bootloader to replace sysvinit with systemd, or install systemd-sysvcompat"
+
+ # group 'systemd-journal-remote' is created by systemd-sysusers
+ mkdir -m2755 var/log/journal/remote
+ chgrp systemd-journal-remote var/log/journal/remote
}
post_upgrade() {
@@ -175,7 +191,9 @@ post_upgrade() {
213-4
214-2
215-2
- 216-2)
+ 216-2
+ 219-2
+ 219-4)
for v in "${upgrades[@]}"; do
if [[ $(vercmp "$v" "$2") -eq 1 ]]; then